Summary:	Fonts for the GhostScript PostScript(TM) interpreter
Name:		ghostscript-fonts
Version:	8.11
Release:	3mdk
License:	GPL
Group:		Publishing
Url:		http://sourceforge.net/projects/gs-fonts/

Source0:	http://heanet.dl.sourceforge.net/sourceforge/gs-fonts/ghostscript-fonts-other-6.0.tar.bz2
#Source1:	http://heanet.dl.sourceforge.net/sourceforge/gs-fonts/ghostscript-fonts-std-8.11.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch

%define gsver 7.07

%description
These fonts can be used by the GhostScript interpreter during text
rendering. They are in addition to the shared fonts between GhostScript
and X11.

%prep

%setup -q -c ghostscript-fonts-6.0
#setup -q -a 1 -c ghostscript-fonts-6.0

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/default/ghostscript/
cp fonts/* %buildroot/%_datadir/fonts/default/ghostscript

ln -sf ../../../ghostscript/%{gsver}/lib/Fontmap.GS \
	%buildroot/%_datadir/fonts/default/ghostscript/Fontmap

# Remove unneeded files
rm -f %buildroot/%_datadir/fonts/default/ghostscript/*.pfb
rm -f %buildroot/%_datadir/fonts/default/ghostscript/fonts.{dir,scale}

%clean
rm -fr %buildroot

%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache -f %{_datadir}/fonts/default/ghostscript

%files
%defattr(-,root,root,-)
%dir %_datadir/fonts/
%dir %_datadir/fonts/default/
%dir %_datadir/fonts/default/ghostscript/
%_datadir/fonts/default/ghostscript/Fontmap
%_datadir/fonts/default/ghostscript/*.pfa
%_datadir/fonts/default/ghostscript/*.afm
%_datadir/fonts/default/ghostscript/*.gsf
%_datadir/fonts/default/ghostscript/*.pfm

%changelog
* Fri Jul 30 2004 Till Kamppeter <till@mandrakesoft.com> 8.11-3mdk
- Added post-install script to update the fontconfig database (thanks
  to Frederic Crozat).

* Mon May  6 2004 Till Kamppeter <till@mandrakesoft.com> 8.11-2mdk
- Corrected GhostScript version number.

* Thu Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 8.11-1mdk
- Fixed URL.

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 6.0-2mdk
- rebuild

* Mon Feb  3 2003 Till Kamppeter <till@mandrakesoft.com> 6.0-1mdk
- Updated to 6.0.
- Removed "Requires: ghostscript". This package is needed by GhostScript,
  this package does not need GhostScript.

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 5.50-7mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 5.50-6mdk
- Use %%_tmppath for BuildRoot

* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 5.50-5mdk
- updated Group.

* Sat Feb 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- added Fontmap from ghostscript package.
- removed things to strip executables and compress man pages (there aren't).

* Tue Feb 15 2000 Franois PONS <fpons@mandrakesoft.com>
- update with GNU ghostscript 5.50.
- added -r option to xargs for sanity build.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- renamed package to be consistent with new ghostscript.

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- removed the std fonts...now shared between X11 and gs with URW fonts pkg.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03.

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- set the owner and group of all of the files to 0.0

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
